%define upstream_name    ExtUtils-Depends
%define upstream_version 0.405

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module for further extending extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildArch:  noarch

%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other perl extensions. This means
that a perl extension is treated like a shared library that provides
also a C and an XS interface besides the perl one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -fr
%{__perl} Makefile.PL INSTALLDIRS=vendor

%build
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/*


%changelog
* Sun Dec 06 2015 tv <tv> 0.405.0-1.mga6
+ Revision: 908483
- new release

* Sun Jun 21 2015 tv <tv> 0.404.0-1.mga6
+ Revision: 837660
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.401.0-3.mga6
+ Revision: 747896
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.401.0-2.mga5
+ Revision: 684678
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 sander85 <sander85> 0.401.0-1.mga5
+ Revision: 666845
- update to 0.401

* Sun Aug 10 2014 sander85 <sander85> 0.400.0-1.mga5
+ Revision: 661568
- update to 0.400

* Sun Aug 03 2014 tv <tv> 0.309.0-1.mga5
+ Revision: 659310
- new release

* Mon May 19 2014 tv <tv> 0.308.0-1.mga5
+ Revision: 623797
- new release

* Wed Apr 30 2014 tv <tv> 0.307.0-1.mga5
+ Revision: 618944
- new release

* Mon Oct 21 2013 umeabot <umeabot> 0.306.0-2.mga4
+ Revision: 538379
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 0.306.0-1.mga4
+ Revision: 489498
- new release

* Sun Sep 08 2013 sander85 <sander85> 0.305.0-1.mga4
+ Revision: 476047
- update to 0.305

* Sun Jan 13 2013 umeabot <umeabot> 0.304.0-3.mga3
+ Revision: 367012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.304.0-2.mga1
+ Revision: 55490
- rebuild

* Mon Jan 31 2011 dmorgan <dmorgan> 0.304.0-1.mga1
+ Revision: 45250
- New version
- New version

* Tue Jan 18 2011 jquelin <jquelin> 0.303.0-1.mga1
+ Revision: 22074
- cleaning spec file
- imported package perl-ExtUtils-Depends

